
Redmine - Defect #10348

Wrong issue statuses assignment during issue copy

2012-03-01 15:46 - Vitaly Klimov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.3.1

Description

Defect: during issue copy available statuses computed based on source issue status. Also when creating issue status validation

performed upon source issue status as well.

Steps to reproduce:

1. Create two statuses - one should be default, other should be any other status, let's say their names are New and Done

2. Create workflow that allows current user to change status from New to Done only and does not allow to change status from 

Done to any other

3. Create new issue

4. Change status to Done

5. Copy issue - on the issue creation screen you will be able to choose New status

6. After issue creation status in the new issue will be reverted to Done

This defect also allows users to copy issues and assign them statuses they should not be able to assign.

Attached is the patch that solves this inconsistency

Related issues:

Related to Redmine - Feature #23610: Reset status when copying issues Closed

Has duplicate Redmine - Defect #16230: Copying issue to other tracker without... Closed

History

#1 - 2015-04-04 11:20 - Go MAEDA

- Has duplicate Defect #16230: Copying issue to other tracker without the status added

#2 - 2015-04-04 11:21 - Go MAEDA

- Related to Feature #17576: Ability to choose, in administration page, the behaviour of status during copying issues added

#3 - 2015-10-05 11:40 - Florian ROBERT

+1 no needs of #17576 if this is corrected

#4 - 2016-09-04 13:37 - Toshi MARUYAMA

- Related to deleted (Feature #17576: Ability to choose, in administration page, the behaviour of status during copying issues)

#5 - 2016-09-04 13:37 - Toshi MARUYAMA

- Related to Feature #23610: Reset status when copying issues added

#6 - 2017-05-02 08:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Can we close this issue by fixed #23610?

#7 - 2017-05-27 05:49 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/17576
https://www.redmine.org/issues/23610


Toshi MARUYAMA wrote:

Can we close this issue by fixed #23610?

 You are right. Fixed by #23610.

This problem never happen in upcoming Redmine 3.4.0 because issue status is reset to default when an issue is copied.

Files

issues_controller.patch 1.25 KB 2012-03-01 Vitaly Klimov
